ranges::back_insert_iterator< Container > Struct Template Reference
Iterator

## Public Types

using | container_type = Container
using | difference_type = std::ptrdiff_t

## Public Member Functions

constexpr | back_insert_iterator (Container &x)
back_insert_iterator & | operator* ()
back_insert_iterator & | operator++ ()
back_insert_iterator | operator++ (int)
back_insert_iterator & | operator= (typename Container::value_type &&value)
back_insert_iterator & | operator= (typename Container::value_type const &value)